{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Data Positif Covid-19</title>
{% endblock meta %}

{% block content %}

<script>
    $(document).ready(function(){
      $("#SumButton").click(function(){
        $("#div1").fadeIn(3000);
      });
    });
</script>

<div style="background-color: white; padding: 70px;">
    <button id ="SumButton">Cari Kasus Positif berdasarkan provinsi</button>
    <br/>
    <div id="div1" style="width:80px;height:80px;display:none;">
        <input id="keyword" placeholder="Nama Provinsi">
    </div>

<br/>
<table class="table table-bordered table-dark">
    <thead>
        <tr>
          <th scope="col">Provinsi</th>
          <th scope="col">Jumlah Kasus Positif</th>
        </tr>
      </thead>
    <tbody id="daftar_isi">
    </tbody>
  </table>

  {% if user.is_authenticated %}
  <article>Jumlah anda mengunjungi halaman ini adalah {{ jumlah_pencarian }} kali</article>
  {% endif %}

<script type="text/javascript">
    $("#keyword").keyup(function(){
        var ketikan = $("#keyword").val();
        $.ajax({
            url:'/datas?q=',
            success: function(data) {
                var data_items = data.features;
                console.log(data);
                $("#daftar_isi").empty();
                for (i = 0; i < data_items.length-1; i++) {
                    var provinsi = data_items[i].attributes.Provinsi;
                    var jumlah = data_items[i].attributes.Kasus_Posi;
                    if (ketikan.toLowerCase() == provinsi.toLowerCase().substring(0,ketikan.length) && ketikan != ""){
                        $("#daftar_isi").append("<tr><td>"+ provinsi +"</td><td>"+ jumlah +"</td></tr>");
                    }
                }
            }
        });
    })
</script>

</div>
{% endblock content %}